## wifite 2.5.7

=== Makefile ===
default_target: install

install:
	/usr/bin/env python3 setup.py install

ath_masker:
	cd tools/ath_masker/ && ./load.sh

modwifi:
	cd tools/modwifi/ && ./install.sh
	mkdir tools/modwifi/tools/build/
	cd tools/modwifi/tools/build/ && cmake ../
	cd tools/modwifi/tools/build/ && make

	/usr/bin/env python3 setup.py install
	/usr/bin/env pip3 install -r requirements.txt

	@clear
	@echo "#----------------------------------------------"
	@echo "# modwifi and related tools has been installed!"
	@echo "#----------------------------------------------"

reaver:
	git clone https://github.com/t6x/reaver-wps-fork-t6x tools/reaver/
	cd tools/reaver/src/ && ./configure && make && make install

bully:
	git clone https://github.com/wiire-a/bully tools/bully/
	cd tools/bully/src/ && make && make install

hashcat:
	git clone https://github.com/hashcat/hashcat tools/hashcat/
	cd tools/hashcat/ && make && make install

hcxdumptool:
	git clone https://github.com/ZerBea/hcxdumptool tools/hcxdumptool/
	cd tools/hcxdumptool/ && make && make install

hcxtools:
	git clone https://github.com/ZerBea/hcxtools tools/hcxtools/
	cd tools/hcxtools/ && make && make install

iw:
	git clone https://git.kernel.org/pub/scm/linux/kernel/git/jberg/iw.git tools/iw/
	cd tools/iw/ && make && make install

deps:
	/usr/bin/env pip3 install -r requirements.txt
	apt update && apt install cmake libssl-dev libpcap-dev libcap-dev libnl-genl-3-dev libnl-genl-3-200 python-setuptools pkg-config

update:
	cd tools/ath_masker/ && git pull
	cd tools/reaver/ && git pull
	cd tools/bully/ && git pull
	cd tools/hashcat/ && git pull

clean:
	/usr/bin/env python3 setup.py clean
	rm -rf build/
	rm -rf dist/
	rm -rf wifite.egg-info
	rm -rf tools/modwifi/backports/
	rm -rf tools/modwifi/ath9k-htc/
	rm -rf tools/modwifi/linux/
	rm -rf tools/modwifi/tools/
	rm -rf tools/reaver/
	rm -rf tools/bully/
	rm -rf tools/hashcat/
	rm -rf tools/iw/
	rm -rf tools/hcxdumptool/
	rm -rf tools/hcxtools/

help:
	@clear
	@echo "[ wifite2: make help options ]"
	@echo "----------------------------------------------------------------------"
	@echo " "
	@echo " 1. Install tools/dependencies"
	@echo " "
	@echo " make iw:         : pull latest iw from git and install"
	@echo " make reaver      : pull latest reaver from git and install"
	@echo " make hashcat     : pull latest hashcat from git and install"
	@echo " make bully       : pull latest bully from git and install"
	@echo " make hcxdumptool : pull latest hcxdumptool from git and install"
	@echo " make hcxtools    : pull latest hcxtools from git and install"
	@echo " make ath_masker  : download and build/install ath_masker"
	@echo " make modwifi     : download and build/install modwifi"
	@echo " "
	@echo " 2. Update installed tools or dependencies"
	@echo " "
	@echo "make update   : update tools/dependencies installed from steps above."
	@echo "make deps     : install dependencies needed to compile/run all tools"
	@echo " "
	@echo " 3. Clean / Tests"
	@echo " "
	@echo " make test       : run runtests.sh"
	@echo " make clean      : clean setup files / tmp"
	@echo " make uninstall  : completely remove wifite2 from system"
	@echo " "
	@echo " make help	: THIS HELP MENU!"
	@echo " "
	@echo " "

test:
	sh runtests.sh

uninstall:
	rm -rf /usr/sbin/wifite
	cd ../ && rm -rf wifite2

## wifite 2.0r85

=== debian/changelog ===
wifite (2.0r85-1) unstable; urgency=low

  * Initial release (Closes: #606417)

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 30 Jul 2012 20:56:13 -0500

=== debian/control ===
Source: wifite
Section: net
Priority: optional
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: python (>= 2.6), debhelper (>= 9)
X-Python-Version: >= 2.6
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/wifite/

Package: wifite
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, aircrack-ng, reaver, pyrit, tshark
Description: Python script to automate wireless auditing using aircrack-ng tools
 Wifite is a tool to audit WEP or WPA encrypted wireless networks.
 It uses aircrack-ng, pyrit, reaver, tshark tools to perform the audit.
 . 
 This tool is customizable to be automated with only a few arguments
 and can be trusted to run without supervision.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

INSTALL := install -o root -g root -m 755
DESTDIRW := $(CURDIR)/debian/wifite/usr/bin

%:
	dh $@ --with python2

override_dh_install:
	mkdir -p $(DESTDIRW)
	$(INSTALL) wifite.py $(CURDIR)/debian/wifite/usr/bin/wifite

=== debian/watch ===
version=3
http://code.google.com/p/wifite/downloads/list .*/files/wifite-(.*).tar.gz

## wifite 2.0.85~gitedbdedd14

=== debian/changelog ===
wifite (2.0.85~gitedbdedd14-1) unstable; urgency=medium

  * New upstream release. (Closes: #787887)
  * debian/control
    + Add Debian Security Tools Packaging Team as maintainer.
    + Bump Standards-Version to 3.9.8 (no changes)
    + Add Vcs-* fields.
    + Update Homepage field.
    + Add dh-python in B-D.
  * debian/copyright
    + Update Source field.
    + Extend Debian  copyright holders years.
  * Update d/watch file.
  * Add d/wifite.docs file to install readme file.
  * debian/patches
    + Add Remove_upgrade_function.diff
      + Disable Auto-update feature.

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 22 Jul 2016 16:09:46 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: wifite
 Section: net
 Priority: optional
-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: python (>= 2.6), debhelper (>= 9)
+Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org> 
+Uploaders: Daniel Echeverry <epsilon77@gmail.com>
+Build-Depends: python (>= 2.6), debhelper (>= 9), dh-python
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/wifite/
+Standards-Version: 3.9.8
+Homepage: https://github.com/derv82/wifite
+Vcs-Git: https://anonscm.debian.org/git/pkg-security/wifite.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/wifite.git
 
 Package: wifite
 Architecture: all

## wifite 2.0.87+git20170515.918a499

=== debian/changelog ===
wifite (2.0.87+git20170515.918a499-2) unstable; urgency=medium

  * Team upload
  * Bump std-version to 4.1.2, no changes required
  * Suggest macchanger (LP: #1489699)
  * Add net-tools dependency (Closes: #884399)
  * Add patch to correct the sudo warning message (LP: #1489704)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2017 14:16:13 +0100

wifite (2.0.87+git20170515.918a499-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add gbp.conf file.

  [ Daniel Echeverry ]
  * New upstream release.
  * Migrate to consistent versioning scheme.
  * debian/patches
    + Update Remove_upgrade_function.diff patch.
  * debian/control
    + Bump standard versions 4.1.0
      + Use HTTPS in Link to copyright format.
    + Change debhelper to 10 in B-D.
    + Remove X-Python-Version field.
    + Remove version depends from python.
    + Put pyrit in Suggest.
  * debian/compat
    + Switch compat level 9 to 10.
  * debian/copyright
    + Extend Debian copyright holders years.
    + Add new Debian copyright holders years.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 02 Sep 2017 12:01:35 -0500

=== debian/control ===
Source: wifite
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org> 
Uploaders: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: python, debhelper (>= 10), dh-python
Standards-Version: 4.1.2
Homepage: https://github.com/derv82/wifite
Vcs-Git: https://anonscm.debian.org/git/pkg-security/wifite.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/wifite.git

Package: wifite
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, aircrack-ng, reaver, tshark, net-tools
Suggests: pyrit, macchanger
Description: Python script to automate wireless auditing using aircrack-ng tools
 Wifite is a tool to audit WEP or WPA encrypted wireless networks.
 It uses aircrack-ng, pyrit, reaver, tshark tools to perform the audit.
 . 
 This tool is customizable to be automated with only a few arguments
 and can be trusted to run without supervision.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,3 @@
 override_dh_install:
 	mkdir -p $(DESTDIRW)
 	$(INSTALL) wifite.py $(CURDIR)/debian/wifite/usr/bin/wifite
-

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wifite-$1.tar.gz%" \
  https://github.com/derv82/wifite/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## wifite 2.1.0

=== debian/changelog ===
wifite (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump standard versions 4.1.4 (no changes).
    + Change debhelper to 11 in B-D.
    + Remove some whitespaces.
    + Change homepage field.
  * debian/compat
      + Switch compat level 10 to 11.
  * debian/copyright
    + Extend debian copyright holders years.
    + Change source field, the upstream migrate the repo.
  * debian/patches
    + Refresh better-sudo-message.patch.
    + Remove Remove_upgrade_function.diff patch.
      + This version doesn't include upgrade feature.
  * debian/gbp.conf
    + Add filter to prevent include .git.
  * Update wifite.docs file.
  * debian/rules
    + Remove dh_install override.
  * debian/watch
    + Update github repo url.
  * Add wifite.links file.
  * Add wifite.dirs file.
  * Add wifite.install file.

  [ Raphael Hertzog ]
  * debian/control
    + Update Vcs-* fields  for the move to salsa.debian.org.
    + Update team maintainer address to Debian Security Tools.
  * debian/tests/control: add basic autopkgtest running "wifite --help" as
    root

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 18 Apr 2018 22:07:59 -0500

=== debian/control ===
Source: wifite
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: python, debhelper (>= 11), dh-python
Standards-Version: 4.1.4
Homepage: https://github.com/derv82/wifite2
Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/wifite

Package: wifite
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, aircrack-ng, reaver, tshark, net-tools
Suggests: pyrit, macchanger
Description: Python script to automate wireless auditing using aircrack-ng tools
 Wifite is a tool to audit WEP or WPA encrypted wireless networks.
 It uses aircrack-ng, pyrit, reaver, tshark tools to perform the audit.
 .
 This tool is customizable to be automated with only a few arguments
 and can be trusted to run without supervision.

=== debian/tests/control ===
Test-Command: wifite --help
Restrictions: needs-root, allow-stderr

## wifite 2.1.6

=== debian/changelog ===
wifite (2.1.6-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * New upstream version 2.1.6
  * Refresh patch
  * Add an upstream patch: change-shebang.patch to fix the shebang
    /usr/bin/python3.7
  * Fix permissions

  [ Raphaël Hertzog ]
  * Add patch to disable failing tests
  * Run unittests at build time and as part of autopkgtest tests too

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 15 Jun 2018 13:58:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,13 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: python, debhelper (>= 11), dh-python
+Build-Depends: python,
+ debhelper (>= 11),
+ dh-python,
+ pyrit <!nocheck>,
+ tshark <!nocheck>,
+ aircrack-ng <!nocheck>,
+# cowpatty <!nocheck>, # Once available in Debian too
 Standards-Version: 4.1.4
 Homepage: https://github.com/derv82/wifite2
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	python -m unittest discover tests -v
	# Python 3 support is documented upstream but not yet ready
	# for prime time (in 2.1.6)
	#python3 -m unittest discover tests -v

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/wifite/usr/share/wifite/wifite/tools/__init__.py
	chmod 644 debian/wifite/usr/share/wifite/wifite/util/__init__.py

## wifite 2.2.2

=== debian/changelog ===
wifite (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.2
  * Remove patches merged upstream
  * Update installation as upstream has new a setup.py.
      - Remove debian/wifite.install
      - Remove debian/wifite.links
      - Remove debian/wifite.dirs
      - debian/rules: remove useless dh_fixperms
  * Bump Standards-Version to 4.2.0 (no change required)
  * debian/rules: add a test to check the nocheck option

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Aug 2018 12:38:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  tshark <!nocheck>,
  aircrack-ng <!nocheck>,
 # cowpatty <!nocheck>, # Once available in Debian too
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://github.com/derv82/wifite2
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wifite

## wifite 2.2.5

=== debian/changelog ===
wifite (2.2.5-2) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Disable failing test with aircrack-ng >= 1.5 (Closes: #916430)

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.3.0
  * Use new syntax for debhelper compat level 11

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 16 Jan 2019 09:00:31 +0100

wifite (2.2.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.5

 -- Sophie Brun <sophie@freexian.com>  Tue, 04 Sep 2018 14:11:43 +0200

wifite (2.2.3-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * New upstream version 2.2.3

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.2.1

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 28 Aug 2018 11:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: python,
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  pyrit <!nocheck>,
  tshark <!nocheck>,
  aircrack-ng <!nocheck>,
 # cowpatty <!nocheck>, # Once available in Debian too
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/derv82/wifite2
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wifite

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python -m unittest discover tests -v
	# Python 3 support is documented upstream but not yet ready
	# for prime time (in 2.1.6)
	#python3 -m unittest discover tests -v
endif

=== debian/tests/control ===
Test-Command: wifite --help
Restrictions: needs-root, allow-stderr

Tests: unittests
Depends: @, pyrit
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wifite-$1.tar.gz%" \
  https://github.com/derv82/wifite2/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## wifite 2.5.0~git20191114

=== debian/changelog ===
wifite (2.5.0~git20191114-2ubuntu1) focal; urgency=medium

  * Don't run the unittests, pyrit is gone in focal.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 08:37:54 +0100

wifite (2.5.0~git20191114-2) unstable; urgency=medium

  * Team upload.
  * Switch autopkgtest to Python 3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Dec 2019 14:30:50 +0100

wifite (2.5.0~git20191114-1) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Update Disable-aircrack-failing-test.patch: fix typo in bug url

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Sophie Brun ]
  * Switch to kimocoder repo
  * New upstream version 2.5.0~git20191114
  * Switch to Python 3 (Closes: #938826)
  * Refresh patches
  * Add a patch use-current-wordlist.patch to fix installation
  * Add other tools in Suggests
  * Use debhelper-compat 12
  * Install ieee-oui.txt file
  * Bump Standards-Version to 4.4.1 (no changes)

  [ Daniel Echeverry ]
  * Change my email address.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Dec 2019 10:20:03 +0100

=== debian/tests/control ===
Test-Command: wifite --help
Restrictions: needs-root, allow-stderr

#Tests: unittests
#Depends: @, pyrit
#Restrictions: allow-stderr

## wifite 2.5.2

=== debian/changelog ===
wifite (2.5.2-3) unstable; urgency=medium

  * Team upload.
  * Drop pyrit from autopkgtest deps (Closes: #956277)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 10 Apr 2020 11:49:07 +0200

wifite (2.5.2-2) unstable; urgency=medium

  * Team upload.
  * Drop pyrit from Build-Depends/Suggests to allow for its removal from
    Debian.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 30 Mar 2020 11:58:22 +0200

wifite (2.5.2-1) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * New upstream version 2.5.2 (Closes: 950751)
  * Add new patch to properly cope with different structure of
    /usr/share/ieee-data/oui.txt vs ieee-oui.txt.

  [ Sophie Brun ]
  * Refresh patches
  * Bump Standard-Version to 4.5.0 (no change)
  * Use debian package ieee-data, don't install ieee-oui.txt

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Feb 2020 15:17:44 +0100

=== debian/control ===
Source: wifite
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Daniel Echeverry <epsilon@debian.org>
Build-Depends: python3,
 debhelper-compat (= 12),
 dh-python,
 tshark <!nocheck>,
 aircrack-ng <!nocheck>,
# cowpatty <!nocheck>, # Once available in Debian too
Standards-Version: 4.5.0
Homepage: https://github.com/kimocoder/wifite2
Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/wifite

Package: wifite
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, aircrack-ng, reaver, tshark, net-tools, ieee-data
Suggests: macchanger, bully, hashcat, hcxdumptool, hcxpcaptool
Description: Python script to automate wireless auditing using aircrack-ng tools
 Wifite is a tool to audit WEP or WPA encrypted wireless networks.
 It uses aircrack-ng, pyrit, reaver, tshark tools to perform the audit.
 .
 This tool is customizable to be automated with only a few arguments
 and can be trusted to run without supervision.

=== debian/tests/control ===
Test-Command: wifite --help
Restrictions: needs-root, allow-stderr

Tests: unittests
Restrictions: allow-stderr

## wifite 2.5.5

=== debian/changelog ===
wifite (2.5.5-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * New upstream version 2.5.5
  * Remove Handle-different-structure-in-usr-share-ieee-data-oui.txt.patch
    (merged upstream)

  [ Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Jul 2020 09:37:50 +0200

## wifite 2.5.7

=== debian/changelog ===
wifite (2.5.7-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * d/t/control: Add superficial restriction (closes: #969879)

  [ Sophie Brun ]
  * New upstream version 2.5.7
  * Add missing bd: python3-setuptools and fix entry_point

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Nov 2020 10:12:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Daniel Echeverry <epsilon@debian.org>
 Build-Depends: python3,
+ python3-setuptools,
  debhelper-compat (= 12),
  dh-python,
  tshark <!nocheck>,

## wifite 2.5.8

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	@echo "#----------------------------------------------"
 
 reaver:
-	git clone https://github.com/t6x/reaver-wps-fork-t6x tools/reaver/
+	git clone https://github.com/kimocoder/reaver-wps-fork-t6x tools/reaver/
 	cd tools/reaver/src/ && ./configure && make && make install
 
 bully:
@@ -46,13 +46,15 @@
 
 deps:
 	/usr/bin/env pip3 install -r requirements.txt
-	apt update && apt install cmake libssl-dev libpcap-dev libcap-dev libnl-genl-3-dev libnl-genl-3-200 python-setuptools pkg-config
+	apt update && apt install -yq cmake libssl-dev libpcap-dev libcap-dev libnl-genl-3-dev libnl-genl-3-200 python-setuptools pkg-config libcurl4-openssl-dev
 
 update:
 	cd tools/ath_masker/ && git pull
 	cd tools/reaver/ && git pull
 	cd tools/bully/ && git pull
 	cd tools/hashcat/ && git pull
+	cd tools/hcxtools/ && git pull
+	cd tools/hcxdumptool/ && git pull
 
 clean:
 	/usr/bin/env python3 setup.py clean

=== tools/modwifi/Makefile ===
default_target: install

install:
	cd backports/ && rm -rf *.git
	cd ath9k-htc/ && rm -rf *.git
	cd modwifi/ && rm -rf *.git
	cd tools/ && rm -rf *.git/
	cd linux/ && rm -rf *.git/

deps:

clean:
	rm -rf backports/
	rm -rf ath9k-htc/
	rm -rf linux/
	rm -rf modwifi/
	rm -rf tools/
	#cd tools/modwifi/tools/build/ && rm -rf *

=== debian/changelog ===
wifite (2.5.8-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.5.8
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * d/p/remove-entry_point.patch: Remove patch, fixed upstream
  * d/control: Add Rules-Requires-Root: no
  * d/control: Add cowpatty to Build-deps

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Jan 2021 22:55:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Daniel Echeverry <epsilon@debian.org>
 Build-Depends: python3,
  python3-setuptools,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  tshark <!nocheck>,
  aircrack-ng <!nocheck>,
-# cowpatty <!nocheck>, # Once available in Debian too
-Standards-Version: 4.5.0
+ cowpatty <!nocheck>,
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/kimocoder/wifite2
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wifite

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m unittest discover tests -v
endif

## wifite 2.6.0+ds1

=== Makefile ===
--- 
+++ 
@@ -21,12 +21,16 @@
 	@echo "#----------------------------------------------"
 
 reaver:
-	git clone https://github.com/kimocoder/reaver-wps-fork-t6x tools/reaver/
+	git clone https://github.com/t6x/reaver-wps-fork-t6x tools/reaver/
 	cd tools/reaver/src/ && ./configure && make && make install
 
 bully:
 	git clone https://github.com/wiire-a/bully tools/bully/
 	cd tools/bully/src/ && make && make install
+
+pixiewps:
+	git clone https://github.com/wiire-a/pixiewps tools/pixiewps/
+	cd tools/pixiewps/ && make && make install
 
 hashcat:
 	git clone https://github.com/hashcat/hashcat tools/hashcat/
@@ -40,18 +44,22 @@
 	git clone https://github.com/ZerBea/hcxtools tools/hcxtools/
 	cd tools/hcxtools/ && make && make install
 
+pyrit:
+	cd tools/pyrit/;python2 setup.py clean;sudo python2 setup.py build;sudo python2 setup.py install
+
 iw:
 	git clone https://git.kernel.org/pub/scm/linux/kernel/git/jberg/iw.git tools/iw/
 	cd tools/iw/ && make && make install
 
 deps:
 	/usr/bin/env pip3 install -r requirements.txt
-	apt update && apt install -yq cmake libssl-dev libpcap-dev libcap-dev libnl-genl-3-dev libnl-genl-3-200 python-setuptools pkg-config libcurl4-openssl-dev
+	apt update && apt install -yq cmake libssl-dev libpcap-dev libcap-dev libnl-genl-3-dev libnl-genl-3-200 python-setuptools pkg-config libcurl4-openssl-dev python2 build-essential python2-dev
 
 update:
 	cd tools/ath_masker/ && git pull
 	cd tools/reaver/ && git pull
 	cd tools/bully/ && git pull
+	cd tools/pixiewps/ && git pull
 	cd tools/hashcat/ && git pull
 	cd tools/hcxtools/ && git pull
 	cd tools/hcxdumptool/ && git pull
@@ -67,10 +75,12 @@
 	rm -rf tools/modwifi/tools/
 	rm -rf tools/reaver/
 	rm -rf tools/bully/
+	rm -rf tools/pixiewps/
 	rm -rf tools/hashcat/
 	rm -rf tools/iw/
 	rm -rf tools/hcxdumptool/
 	rm -rf tools/hcxtools/
+	rm -rf tools/pyrit/build
 
 help:
 	@clear
@@ -79,12 +89,13 @@
 	@echo " "
 	@echo " 1. Install tools/dependencies"
 	@echo " "
-	@echo " make iw:         : pull latest iw from git and install"
+	@echo " make iw          : pull latest iw from git and install"
 	@echo " make reaver      : pull latest reaver from git and install"
 	@echo " make hashcat     : pull latest hashcat from git and install"
 	@echo " make bully       : pull latest bully from git and install"
 	@echo " make hcxdumptool : pull latest hcxdumptool from git and install"
 	@echo " make hcxtools    : pull latest hcxtools from git and install"
+	@echo " make pyrit       : download and build/install pyrit"
 	@echo " make ath_masker  : download and build/install ath_masker"
 	@echo " make modwifi     : download and build/install modwifi"
 	@echo " "

=== requirements.txt ===
pytest-flake8

=== tools/ath_masker/Makefile ===
obj-m += ath_masker.o
KDIR ?= /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)
all:
	$(MAKE) -C $(KDIR)  M=$(PWD)
clean:
	rm -rf *.o *.ko *.mod.* *.mod .c* .t* Module.symvers modules.order built-in.a

=== debian/changelog ===
wifite (2.6.0+ds1-1) unstable; urgency=medium

  * Team Upload.
  * Refresh patches
  * Repack upstream tarball to remove pyrit code
  * New upstream version 2.6.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Feb 2022 15:41:41 +0100

wifite (2.5.8-2) unstable; urgency=medium

  * Team Upload
  * Add a patch to be compatible with which from debianutils >=5.0
    (Closes: #997333)
  * Bump Standards-Version to 4.6.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Dec 2021 17:03:10 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  tshark <!nocheck>,
  aircrack-ng <!nocheck>,
  cowpatty <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kimocoder/wifite2
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git

=== debian/tests/control ===
Test-Command: wifite --help
Restrictions: needs-root, allow-stderr, superficial

Tests: unittests
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wifite-$1.tar.gz%,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/kimocoder/wifite2/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## wifite 2.6.6

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 ath_masker:
 	cd tools/ath_masker/ && ./load.sh
+	@rm -rf tools/ath_masker/.ath_masker.o.d
 
 modwifi:
 	cd tools/modwifi/ && ./install.sh
@@ -21,7 +22,7 @@
 	@echo "#----------------------------------------------"
 
 reaver:
-	git clone https://github.com/t6x/reaver-wps-fork-t6x tools/reaver/
+	git clone https://github.com/kimocoder/reaver-wps-fork-t6x tools/reaver/
 	cd tools/reaver/src/ && ./configure && make && make install
 
 bully:
@@ -44,19 +45,22 @@
 	git clone https://github.com/ZerBea/hcxtools tools/hcxtools/
 	cd tools/hcxtools/ && make && make install
 
-pyrit:
-	cd tools/pyrit/;python2 setup.py clean;sudo python2 setup.py build;sudo python2 setup.py install
-
 iw:
 	git clone https://git.kernel.org/pub/scm/linux/kernel/git/jberg/iw.git tools/iw/
 	cd tools/iw/ && make && make install
 
 deps:
+	apt update && apt install -yq cmake libssl-dev libpcap-dev libcap-dev libnl-genl-3-dev libnl-genl-3-200 python-setuptools pkg-config libcurl4-openssl-dev python2 build-essential python2-dev
 	/usr/bin/env pip3 install -r requirements.txt
-	apt update && apt install -yq cmake libssl-dev libpcap-dev libcap-dev libnl-genl-3-dev libnl-genl-3-200 python-setuptools pkg-config libcurl4-openssl-dev python2 build-essential python2-dev
 
 update:
+ifneq ($(wildcard tools/ath_masker/.*),)
 	cd tools/ath_masker/ && git pull
+else
+	@echo "ATH_MASKER is not installed."
+endif
+
+	@rm -rf tools/ath_masker/.ath_masker.o.d
 	cd tools/reaver/ && git pull
 	cd tools/bully/ && git pull
 	cd tools/pixiewps/ && git pull
@@ -80,7 +84,6 @@
 	rm -rf tools/iw/
 	rm -rf tools/hcxdumptool/
 	rm -rf tools/hcxtools/
-	rm -rf tools/pyrit/build
 
 help:
 	@clear
@@ -95,7 +98,6 @@
 	@echo " make bully       : pull latest bully from git and install"
 	@echo " make hcxdumptool : pull latest hcxdumptool from git and install"
 	@echo " make hcxtools    : pull latest hcxtools from git and install"
-	@echo " make pyrit       : download and build/install pyrit"
 	@echo " make ath_masker  : download and build/install ath_masker"
 	@echo " make modwifi     : download and build/install modwifi"
 	@echo " "
@@ -120,4 +122,3 @@
 uninstall:
 	rm -rf /usr/sbin/wifite
 	cd ../ && rm -rf wifite2
-

=== requirements.txt ===
chardet==5.0.0
pytest-flake8
scapy==2.5.0rc2
argparse~=1.4.0

=== debian/changelog ===
wifite (2.6.6-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.6.6
  * Refresh patches
  * Revert "Repack upstream tarball to remove pyrit code": pyrit has been
    removed by upstream
  * Add new build-dep and dep: python3-chardet
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Nov 2022 10:41:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  python3-setuptools,
  debhelper-compat (= 13),
  dh-python,
+ python3-chardet,
  tshark <!nocheck>,
  aircrack-ng <!nocheck>,
  cowpatty <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/kimocoder/wifite2
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git
@@ -18,7 +19,7 @@
 
 Package: wifite
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, aircrack-ng, reaver, tshark, net-tools, ieee-data
+Depends: ${python3:Depends}, ${misc:Depends}, aircrack-ng, reaver, tshark, net-tools, ieee-data, python3-chardet
 Suggests: macchanger, bully, hashcat, hcxdumptool, hcxpcaptool
 Description: Python script to automate wireless auditing using aircrack-ng tools
  Wifite is a tool to audit WEP or WPA encrypted wireless networks.

## wifite 2.7.0

=== requirements.txt ===
chardet==5.1.0
pytest==7.3.1
scapy==2.5.0
argparse==1.4.0
setuptools==67.8.0

=== debian/changelog ===
wifite (2.7.0-3) unstable; urgency=medium

  * Add patch to fix python Syntax Warnings (Closes: #1087180)
  * Update my lastname and email

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 11 Jan 2025 20:18:51 -0500

wifite (2.7.0-2) unstable; urgency=medium

  * Clean debian/rules
  * Bump Standards-Version to 4.7.0 (no change)
  * Add a patch to remove setuptools (Closes: #1083990)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Oct 2024 14:29:16 +0200

wifite (2.7.0-1) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 2.6.9
  * Run upstream tests with pytest
  * Refresh patches
  * Add a patch to fix issue on reg expression
  * New upstream version 2.7.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Jun 2023 15:35:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Daniel Echeverry <epsilon@debian.org>
+Uploaders: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: python3,
  python3-setuptools,
  debhelper-compat (= 13),
@@ -11,7 +11,8 @@
  tshark <!nocheck>,
  aircrack-ng <!nocheck>,
  cowpatty <!nocheck>,
-Standards-Version: 4.6.1
+ python3-pytest
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kimocoder/wifite2
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wifite-$1.tar.gz%" \
  https://github.com/kimocoder/wifite2/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## wifite 2.8.2

=== requirements.txt ===
chardet==5.2.0
pytest
scapy==2.6.1
setuptools>=78.1.1

=== debian/changelog ===
wifite (2.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump standard-versions to 4.7.2
    + Remove Rules-Requires-Root field
  * debian/patches
    + Add fix-pytest-shutdown-deadlock.patch
      + Prevent pytest hang by removing atexit-based cleanup in ProcessManager
    + Remove Remove-superflous-setuptools-from-install_requires.patch
      + Merge with upstream
    + Remove fix_Python_SyntaxWarning.diff
      + Merge with upstream
    + Refresh all patches
  * debian/copyright
    + Refresh GPL-2 license header
  * debian/watch
    + Update format to version 5

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 15 Nov 2025 18:26:30 -0500

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
  aircrack-ng <!nocheck>,
  cowpatty <!nocheck>,
  python3-pytest
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/kimocoder/wifite2
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wifite.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wifite

=== debian/watch ===
Version: 5

Template: Github
Owner: kimocoder
Project: wifite2
